> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Watchlists

> Get all watchlists for the authenticated user

## Overview

Returns all watchlists accessible to the authenticated user, including both personally created watchlists and team-shared watchlists. Each watchlist in the response includes its metadata and the list of asset IDs it contains.


## OpenAPI

````yaml GET /user-management/v1/watchlists
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - User Management V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /user-management/v1/watchlists:
    get:
      tags:
        - user-management/watchlist
      summary: List user's watchlists
      description: Get all watchlists for the authenticated user
      operationId: ListWatchlists
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/Watchlist'
                    type: array
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  - id: 8C25A83A
                    title: Layer 1 Protocols
                    assetIds:
                      - 1e31218a-e44e-4285-820c-8282ee222035
                      - 21c795f5-1bfd-40c3-858e-e9d7e820c6d0
                      - b3d5d66c-26a2-404c-9325-91dc714a722b
                    createdAt: '2024-07-12T18:22:38.311119Z'
                    updatedAt: '2025-12-11T19:14:00.915569Z'
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    Watchlist:
      properties:
        assetIds:
          items:
            type: string
          type: array
        createdAt:
          format: date-time
          type: string
        id:
          type: string
        title:
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - assetIds
        - createdAt
        - id
        - title
        - updatedAt
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````